Rated 5 out of 5 stars

Need multi-edit function, many problems under Ubuntu9.10 firefox3.5.5

This review is for a previous version of the add-on (1.0.3).